﻿//-----------------------------------------------------------------------
// <copyright file="Form1.cs" company="AgTrax">
//     Copyright (c) AgTrax. All rights reserved.
// </copyright>
// <author>Michael Halsig</author>
//-----------------------------------------------------------------------

namespace ComboTest
{
    using System;
    using System.Windows.Forms;

    /// <summary>
    /// Test the combo for dispose issues
    /// </summary>
    /// <seealso cref="System.Windows.Forms.Form" />
    public partial class Form1 : Form
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Form1"/> class.
        /// </summary>
        public Form1()
        {
            this.InitializeComponent();
        }
        /// <summary>
        /// Handles the Click event of the TestButton control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="EventArgs"/> instance containing the event data.</param>
        private void TestButton_Click(object sender, EventArgs e)
        {
            Form form2 = new Form2();

            form2.ShowDialog();
            form2.Dispose();
        }
    }
}