﻿//-----------------------------------------------------------------------
// <copyright file="TestCombo.cs" company="AgTrax">
//     Copyright (c) AgTrax. All rights reserved.
// </copyright>
// <author>Michael Halsig</author>
//-----------------------------------------------------------------------

namespace Shared.Combos
{
    /// <summary>
    ///
    /// </summary>
    /// <seealso cref="hared.BaseControls.ComboBase" />
    public partial class TestCombo : hared.BaseControls.ComboBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TestCombo"/> class.
        /// </summary>
        public TestCombo()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Fills the grid.
        /// </summary>
        public void FillGrid()
        {
            // Clear the data source rows.
            this.ultraDataSource1.Rows.Clear();

            // Add items to data source
            for (int i = 1; i <= 5; i++)
            {
                // Build the Dataset and bind it to the grid.
                Infragistics.Win.UltraWinDataSource.UltraDataRow row = this.ultraDataSource1.Rows.Add();

                row.SetCellValue("Key", i);
                row.SetCellValue("Description", "Test " + i.ToString());
            }

            this.ultraCombo1.DisplayLayout.PerformAutoResizeColumns(false, Infragistics.Win.UltraWinGrid.PerformAutoSizeType.AllRowsInBand);
        }
    }
}